package meerkat.crypto.dkg.gjkr;

import com.google.protobuf.InvalidProtocolBufferException;
import com.google.protobuf.Message;
import meerkat.crypto.dkg.comm.MessageHandler;
import meerkat.protobuf.DKG;

/**
 * Created by Tzlil on 2/29/2016.
 * an extension of MailHandler matching gjkr protocl
 */
public class MailHandler extends meerkat.crypto.dkg.comm.MailHandler {

    /**
     * flag that indicants whether the
     * current run achieved stage 4 of the protocol or not
     */
    private boolean isStage4;

    /**
     * constructor
     * @param messageHandler
     */
    public MailHandler(MessageHandler messageHandler) {
        super(messageHandler);
        this.isStage4 = false;
    }

    /**
     * setter
     * @param stage4
     */
    public void setStage4(boolean stage4) {
        isStage4 = stage4;
    }
}
